std::divides< void > Struct Reference
Utilities » Function Objects » Arithmetic Function Object Classes

`#include <stl_function.h>`

## Public Types

typedef __is_transparent | is_transparent

## Public Member Functions

template<typename _Tp , typename _Up >
constexpr auto | operator() (_Tp &&__t, _Up &&__u) const noexcept(noexcept(std::forward< _Tp >(__t)/std::forward< _Up >(__u))) -> decltype(std::forward< _Tp >(__t)/std::forward< _Up >(__u))

## Detailed Description

One of the math functors.

Definition at line 294 of file stl_function.h.

## Member Typedef Documentation

## is_transparent

typedef __is_transparent std::divides< void >::is_transparent

Definition at line 304 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Tp , typename _Up >

constexpr auto std::divides< void >::operator() | ( | _Tp && | __t,
|  | _Up && | __u
| ) |  | const -> decltype(std::forward<_Tp>(__t) / std::forward<_Up>(__u))

inline constexpr noexcept

Definition at line 299 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h